Saltar al contenido principal
GET
/
v1
/
discovery
/
extractions
/
{extractionId}
Get an extraction request
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/discovery/extractions/{extractionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "connectionId": "<string>",
  "status": "<string>",
  "ingestionJobId": "<string>",
  "startDate": "<string>",
  "endDate": "<string>",
  "tables": {},
  "filters": {
    "equals": {}
  },
  "errorMessage": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de ruta

extractionId
string
requerido

The unique identifier of the extraction request.

Respuesta

Extraction request details

An extraction request submitted to Fetcher

id
string

Internal identifier for the extraction request

connectionId
string

Connection this extraction was submitted to

status
string

Current lifecycle status of the extraction

ingestionJobId
string

Job identifier returned by Fetcher

startDate
string

Start of the extracted date range

endDate
string

End of the extracted date range

tables
object

Per-table extraction status

filters
object

Optional row-level filters for an extraction

errorMessage
string

Error details if the extraction failed

createdAt
string

Timestamp when the extraction was requested

updatedAt
string

Timestamp of the last status update